# arm_fir_sparse_instance_q31 Struct Reference

Instance structure for the Q31 sparse FIR filter. More...

`#include <arm_math.h>`

## Data Fields

uint16_t | numTaps
uint16_t | stateIndex
q31_t * | pState
q31_t * | pCoeffs
uint16_t | maxDelay
int32_t * | pTapDelay

## Detailed Description

Instance structure for the Q31 sparse FIR filter.

Definition at line 4333 of file arm_math.h.

## Field Documentation

uint16_t arm_fir_sparse_instance_q31::numTaps

number of coefficients in the filter.

Definition at line 4335 of file arm_math.h.

uint16_t arm_fir_sparse_instance_q31::stateIndex

state buffer index. Points to the oldest sample in the state buffer.

Definition at line 4336 of file arm_math.h.

q31_t* arm_fir_sparse_instance_q31::pState

points to the state buffer array. The array is of length maxDelay+blockSize-1.

Definition at line 4337 of file arm_math.h.

q31_t* arm_fir_sparse_instance_q31::pCoeffs

points to the coefficient array. The array is of length numTaps.

Definition at line 4338 of file arm_math.h.

uint16_t arm_fir_sparse_instance_q31::maxDelay

maximum offset specified by the pTapDelay array.

Definition at line 4339 of file arm_math.h.

int32_t* arm_fir_sparse_instance_q31::pTapDelay

points to the array of delay values. The array is of length numTaps.

Definition at line 4340 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines